package com.ozs.system.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ozs.common.core.domain.entity.SysDictType;
import com.ozs.common.core.domain.vo.SysLoginInfoResq;
import com.ozs.common.core.domain.vo.SysLoginInfoVo;
import com.ozs.system.domain.SysLoginInfo;
import icu.mhb.mybatisplus.plugln.base.service.JoinIService;

/**
 * 系统访问日志情况信息 服务层
 *
 * @author hx
 */
public interface ISysLoginInfoService extends JoinIService<SysLoginInfo> {
    /**
     * 新增系统登录日志
     *
     * @param logininfor 访问日志对象
     */
    public void insertLogininfor(SysLoginInfo logininfor);
    IPage listToPage(List list, int pageNum, int pageSize);

    /**
     * 查询系统登录日志集合
     *
     * @param sysLoginInfoResq 访问日志对象
     * @return 登录记录集合
     */
    public List<SysLoginInfo> selectLogininforList(SysLoginInfoResq sysLoginInfoResq);

    /**
     * 批量删除系统登录日志
     *
     * @param infoIds 需要删除的登录日志ID
     * @return 结果
     */
    public int deleteLogininforByIds(Long[] infoIds);

    /**
     * 清空系统登录日志
     */
    public void cleanLogininfor();
    
    public SysLoginInfo getLoginTime(String userName);
    /**
     * 查询登录日志详细
     *
     * @param infoId 日志ID
     * @return 登录日志对象
     */
    public SysLoginInfo selectLoginLogById (Long infoId);
}
